Draft Etichetta

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft Label and the translation is 17% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎русский
Arrow-left.svg Pagina precedente: Draft CubicBezCurve.svg Curva di Bézier cubica
Pagina successiva: Sposta Draft Move.svg Arrow-right.svg

Draft Label.svg Etichetta

Posizione nel menu
Draft → Etichetta
Ambiente
Draft, Arch
Avvio veloce
D L
Introdotto nella versione
0.17
Vedere anche
Testo, Forma da testo

Descrizione

Lo strumento Etichetta inserisce una casella di testo su più righe con una linea guida a 2 segmenti e una freccia. Se si seleziona un oggetto o un sottoelemento (faccia, bordo o vertice) all'avvio del comando, è possibile creare un'etichetta per visualizzare un determinato attributo dell'elemento selezionato, tra cui posizione, lunghezza, area, volume o materiale.

If an object or a sub-element (face, edge or vertex) is selected when starting the command, the text can be made to display one or two attributes of the selected element, including position, length, area, volume and material. The text will then be linked to the attributes and will update if their values change.

Per inserire un elemento di testo più semplice senza una freccia usare Testo. Per creare forme di testo solido usare Forma da testo con Estrusione.

Draft Label example.jpg

Varie etichette con diversi orientamenti, simboli terminali e informazioni

Utilizzo

See also: Draft Tray, Draft Snap and Draft Constrain.

  1. Premere il pulsante Draft Label.svg Etichetta, o premere i tasti D e poi L.
  2. Selezionare un primo punto nella vista 3D, oppure digitare le sue coordinate e poi premere il pulsante Draft AddPoint.svg Aggiungi punto. Questo punto indica l'obiettivo (punta della freccia) che può essere ovunque, non è necessario che sia un elemento.
  3. Fare clic su un secondo punto nella vista 3D o digitare una coordinata e premere il pulsante Draft AddPoint.svg aggiungi punto. Questo punto indica l'inizio di una linea guida orizzontale o verticale.
  4. Fare clic su un terzo punto nella vista 3D o digitare una coordinata e premere il pulsante Draft AddPoint.svg aggiungi punto. Questo punto indica il punto base del testo.

Opzioni

The single character keyboard shortcuts available in the task panel can be changed. See Draft Preferences. The shortcuts mentioned here are the default shortcuts.

  • Cliccare su Label type per selezionare il tipo di informazioni da visualizzare, incluso "Custom", "Name", "Label", "Position", "Length", "Area", "Volume", "Tag", e "Material". (Vedere le spiegazioni sotto, in Tipi di etichette)
  • Per inserire le coordinate manualmente, è sufficiente inserire i numeri, quindi premere Invio per ciascun componente X, Y e Z. È possibile premere il pulsante Draft AddPoint.svg Inserisci punto quando si hanno i valori desiderati per inserire il punto.
  • Tenere premuto Ctrl mentre si posiziona l'etichetta per forzare lo snap al punto di aggancio più vicino, indipendentemente dalla distanza.
  • Premere il tasto Esc o il pulsante Chiudi per interrompere il comando corrente.

Notes

Nota: la direzione del segmento retto orizzontale, a destra o a sinistra, allinea automaticamente il testo nella direzione opposta. Se la linea guida sale verticalmente, il testo è allineato a sinistra; se scende verticalmente, è allineato a destra.

Proprietà

See also: Property editor.

A Draft Label object is derived from an App FeaturePython object and inherits all its properties. The following properties are additional unless otherwise stated:

Data

Label

Dati

  • DatiLabel Type: specifica il tipo di informazioni mostrate da questa etichetta (vedere sotto).
  • DatiCustom Text: specifica il blocco di testo da visualizzare quando DatiLabel Type è impostato su "Custom", o l'etichetta non è parametrica. Il testo è dato come una lista di stringhe; ogni elemento dell'elenco, separato da una virgola, indica una nuova riga di testo.
  • DatiText: (sola lettura) indica il testo effettivo visualizzato dall'etichetta, secondo DatiLabel Type.
  • DatiTarget Point: specifica la posizione della punta della linea guida.
  • DatiStraight Direction: specifica la direzione del segmento retto della linea guida, orizzontale o verticale.
  • DatiStraight Distance: specifica la lunghezza del segmento retto della linea guida, partendo dal punto base del testo. Se la distanza è positiva, la linea guida inizia dal lato destro del testo e il testo si allinea a destra; altrimenti, la linea guida inizia dal lato sinistro del testo e il testo si allinea a sinistra.
  • DatiPosition: specifica il punto base della prima riga del blocco di testo; influenza anche come viene disegnata la linea guida.
  • DatiAngle: specifica la rotazione della linea di base della prima riga del blocco di testo; influenza anche come viene disegnata la linea guida, poiché non è più orizzontale o verticale.
  • DatiAxis: specifica l'asse da utilizzare per la rotazione.

Leader

  • DatiPoints (VectorList): specifies the points of the leader.
  • DatiStraight Direction (Enumeration): specifies the direction of the first leader segment: Custom, Horizontal or Vertical.
  • DatiStraight Distance (Distance): specifies the length of the first leader segment. Only used if DatiStraight Direction is Horizontal or Vertical. If the distance is positive, the leader starts from the right side of the text and the text aligns to the right. Otherwise the leader starts from the left side of the text and the text aligns to the left.

Target

  • DatiTarget (LinkSub): specifies the object and optional subelement the label is linked to.
  • DatiTarget Point (Vector): specifies the position of the tip of the leader, which is where the arrow is attached.

Tipi di etichette

  • Custom: visualizza il contenuto di DatiCustom Text.
  • Name: visualizza il nome interno dell'oggetto destinatario; il nome interno viene assegnato all'oggetto al momento della sua creazione e rimane fisso per tutta l'esistenza dell'oggetto.
  • Label: visualizza l'etichetta dell'oggetto destinatario; l'etichetta dell'oggetto può essere modificata dall'utente in qualsiasi momento.
  • Position: visualizza le coordinate del punto base dell'oggetto, del vertice o del centro di massa del sottoelemento destinatari, se applicabile.
  • Length: mostra la lunghezza del sottoelemento di destinazione, se possibile.
  • Area: mostra l'area del sottoelemento di destinazione, se possibile.
  • Volume: mostra il volume dell'oggetto di destinazione, se possibile.
  • Tag: mostra l'attributo Tag dell'oggetto di destinazione, se l'oggetto di destinazione ha tale proprietà, come nel caso di tutti gli oggettiArch.
  • Material: mostra l'etichetta del materiale dell'oggetto di destinazione, se l'oggetto di destinazione ha tale proprietà.

View

Annotation

  • VistaAnnotation Style (Enumeration): specifies the annotation style applied to the label. See Draft AnnotationStyleEditor.
  • VistaScale Multiplier (Float): specifies the general scaling factor applied to the label.

Display Options

  • VistaDisplay Mode (Enumeration): specifies how the text is displayed. If it is 3D text the text will be displayed in a plane defined by the DatiPlacement of the label. If it is 2D text the text will always face the camera. This is an inherited property.

Graphics

Vista

  • VistaText Font: specifica il carattere da utilizzare per disegnare il testo. Può essere il nome di un carattere, ad esempio "Arial", uno stile predefinito come "sans", "serif" o "mono", una famiglia come "Arial,Helvetica,sans" o un nome con uno stile come "Arial:Bold". Se nel sistema non trova il font specificato, ne utilizza uno generico.
  • VistaText Size: specifica la dimensione delle lettere. Se l'oggetto testo viene creato nella vista ad albero ma non è visibile alcun testo, aumentare la dimensione del testo fino a renderlo visibile.
  • VistaText Alignment: specifica l'allineamento verticale della linea di base del testo rispetto alla linea guida. Può essere in alto, in mezzo o in basso.
  • VistaText Color: specifica il colore del testo in una tupla RGB (R, G, B).
  • VistaLine Width: specifica la larghezza della linea guida.
  • VistaLine Color: specifica il colore della linea guida.
  • VistaArrow Size: specifica la dimensione del simbolo visualizzato alla fine della linea guida.
  • VistaArrow Type: specifica il tipo di simbolo visualizzato alla fine della linea guida, che può essere dot, circle, arrow, o tick.
  • VistaFrame: se è "Rectangle" disegna una cornice attorno al testo.
  • VistaLine: se è true visualizza la linea guida; altrimenti visualizza solo il testo e il simbolo finale.
  • VistaDisplay Mode: se è "3D text" il testo è allineato agli assi della scena, inizialmente situati sul piano XY; se è "2D text", il testo è sempre rivolto verso la fotocamera.

Text

  • VistaJustification (Enumeration): specifies the horizontal alignment of the text: Left, Center or Right. Only used if DatiStraight Direction is Custom. Otherwise the horizontal alignment is based on the sign (positive or negative) of DatiStraight Distance.
  • VistaLine Spacing (Float): specifies the factor applied to the default line height of the text.
  • VistaMax Chars (Integer): specifies the maximum number of characters on each line of the text.
  • VistaText Alignment (Enumeration): specifies the vertical alignment of the text: Top, Middle or Bottom.
  • VistaText Color (Color): specifies the color of the text.
  • VistaText Font (Font): specifies the font used to draw the text. It can be a font name, such as Arial, a default style such as sans, serif or mono, a family such as Arial,Helvetica,sans, or a name with a style such as Arial:Bold. If the given font is not found on the system, a default font is used instead.
  • VistaFont Size (Length): specifies the size of the letters. The text can be invisible in the 3D view if this value is very small.

Scripting

Lo strumento Etichetta può essere utilizzato nelle macro e dalla console Python utilizzando la seguente funzione:

label = make_label(target_point=App.Vector(0, 0, 0),
                   placement=App.Vector(30, 30, 0),
                   target_object=None, subelements=None,
                   label_type="Custom", custom_text="Label",
                   direction="Horizontal", distance=-10,
                   points=None)

Esempio:

import FreeCAD as App
import Draft

doc = App.newDocument()

rectangle = Draft.make_rectangle(4000, 1000)
doc.recompute()

p1 = App.Vector(-200, 1000, 0)
place1 = App.Placement(App.Vector(-1000, 1300, 0), App.Rotation())

label1 = Draft.make_label(p1, place1, target_object=rectangle, distance=500, label_type="Label")
label1.ViewObject.TextSize = 200

p2 = App.Vector(-200, 0, 0)
place2 = App.Placement(App.Vector(-1000, -300, 0), App.Rotation())

label2 = Draft.make_label(p2, place2, target_object=rectangle, distance=500, label_type="Custom",
                          custom_text="Beware of the sharp edges")
label2.ViewObject.TextSize = 200

p3 = App.Vector(1000, 1200, 0)
place3 = App.Placement(App.Vector(2000, 1800, 0), App.Rotation())

label3 = Draft.make_label(p3, place3, target_object=rectangle, distance=-500, label_type="Area")
label3.ViewObject.TextSize = 200

doc.recompute()


Arrow-left.svg Pagina precedente: Draft CubicBezCurve.svg Curva di Bézier cubica
Pagina successiva: Sposta Draft Move.svg Arrow-right.svg